package com.manage.service;

import com.manage.entity.Power_Sys_Dict;
import com.manage.vo.Power_Sys_DictVo;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface Power_Sys_DictService {
    int deleteByPrimaryKey(Integer dictId);

    int insert(Power_Sys_Dict record);

    int insertSelective(Power_Sys_Dict record, HttpServletRequest request);

    Power_Sys_DictVo selectByPrimaryKey(Integer dictId);

    int updateByPrimaryKeySelective(Power_Sys_Dict record,HttpServletRequest request);



    /**
     * @Date 2019-4-16
     * @Author ly
     *  @Description 查询所有归属信息
     * */
    List<Power_Sys_Dict> selectList();

    /**
     * @Date 2019-4-29
     * @Author ly
     *  @Description 查询所有医院
     * */
    List<Power_Sys_Dict>selectHosList(HttpServletRequest request);

    /**
     * @Date 2019-5-11
     * @Author ly
     *  @Description 查询所有系统类型
     * */
    List<Power_Sys_DictVo>selectSysType();

    /**
     * @Date 2019-4-25
     * @Author ly
     *  @Description 导出Excel表
     * */
    void export(HttpServletResponse response)throws Exception;

    /**@Date 2019-04-28
     * @Author zengwh
     * 查询全部
     * */
    List<Power_Sys_DictVo> selectAll(String key);


    /**@Date 2019-08-04
     * @Author zengwh
     * 验证医院名称是否重复
     * */
    Power_Sys_DictVo checkHospitalName(String hospitalName);

    /**@Date 2019-08-06
     * @Author zengwh
     * 根据医院id做为父节点查询医院对象，附带是否带条件系统类别，主要查医院权限系统是否存在
     * */
    Power_Sys_DictVo getHospitalByParentId(Integer parentId,String sysType);

    /**@Date 2019-08-06
     * @Author zengwh
     * 根据科室id验证系统标识或系统名称是否重复
     * */
    List<Power_Sys_Dict> checkSysFlagOrSysNameByDeptId(String sysFlag,String sysName,String deptIds);

    /**@Date 2019-11-05
     * @Author zengwh
     * 属于多科室的批量插入
     * */
    int simpleInsertDict(Power_Sys_Dict powerSysDict,String deptIds,HttpServletRequest request);
}
